<?
session_start();
require("conectar.php");
$id=$_POST['usu'];
$des=$_POST['destino'];
$msg=$_POST['mensaje'];
$ver=$_POST['ver'];
$idmsg=$_POST['idmsg'];
$alias=$_POST['al'];
if($ver==1){
      $sql="INSERT INTO chat (id_chat,mensaje,fecha,hora,emisor,destino,status,notificacion,alias) VALUES ('','$msg',CURDATE(),CURTIME(),'$id','$des','','','$alias')";
	  mysql_query($sql);
	  $sql="UPDATE usuchat SET atendido='1' WHERE id_usu='$des'";
	  $con=mysql_query($sql);
	

	 }
	 if($ver==2){
	     $sql="SELECT * FROM chat WHERE (emisor='$id' and destino='$des') OR (destino='$id' AND emisor='$des') order by fecha, hora ";
		 $con=mysql_query($sql);
		 while($ls=mysql_fetch_array($con)){
		     if($ls["emisor"]==$id){$align="left";$usu="Tu";$s="escribiste";}
		     if($ls["destino"]==$id){$align="right";$usu=$ls["alias"];$s="escribi&oacute;";}
			 
		    ?>
			<div class="<?if($ls["status"]==""){?>msgbnl<?}else{?>msgb<?}?>" align="<?echo $align?>" id="m<?echo $ls["id_chat"]?>" name="">
			     <p style="font-size:10px;color:#747474"><?echo $usu." ".$s;?>:</p>
			     <p><?echo $ls["mensaje"]?></p>
				 <font class="hora" style="color:#999999"><?echo $ls["hora"]." ".$ls["fecha"]?></font>
		</div>	
									<?}
	
			}
if($ver==3){
      $sql="UPDATE chat SET status='leído' WHERE emisor='$des'";
	  $con=mysql_query($sql);
}
if($ver==4){
      $sql="UPDATE chat SET notificacion='notificado' WHERE id_chat='$idmsg'";
	  $con=mysql_query($sql);
}		 
?>